| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPoolDb::GaudiPoolDbConf::PoolDbCacheSvc Class Reference

List of all members.

## Detailed Description

Definition at line 59 of file GaudiPoolDbConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiPoolDb::GaudiPoolDbConf::PoolDbCacheSvc::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 78 of file GaudiPoolDbConf.py.

    00078                                                                :
    00079       super(PoolDbCacheSvc, self).__init__(name)
    00080       for n,v in kwargs.items():
    00081          setattr(self, n, v)
      def getDlls( self ):

def GaudiPoolDb::GaudiPoolDbConf::PoolDbCacheSvc::getDlls | ( |  | self | ) |

Definition at line 82 of file GaudiPoolDbConf.py.

    00082                      :
    00083       return 'GaudiPoolDb'
      def getType( self ):

def GaudiPoolDb::GaudiPoolDbConf::PoolDbCacheSvc::getType | ( |  | self | ) |

Definition at line 84 of file GaudiPoolDbConf.py.

    00084                      :
    00085       return 'PoolDbCacheSvc'
      pass # class PoolDbCacheSvc

## Member Data Documentation

dictionary GaudiPoolDb::GaudiPoolDbConf::PoolDbCacheSvc::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 7, # int
        'AuditServices' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'AuditFinalize' : False, # bool
        'AuditReInitialize' : False, # bool
        'AuditReStart' : False, # bool
        'Dlls' : [  ], # list
        'DomainOpts' : [  ], # list
        'DatabaseOpts' : [  ], # list
        'DatabaseOnOpenOpts' : [  ], # list
        'ContainerOpts' : [  ], # list
        'ContainerOnOpenOpts' : [  ], # list
      }

Definition at line 60 of file GaudiPoolDbConf.py.

dictionary GaudiPoolDb::GaudiPoolDbConf::PoolDbCacheSvc::_propertyDocDct`[static, private]`

Initial value:

    {
      }

Definition at line 76 of file GaudiPoolDbConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPoolDb/genConf/GaudiPoolDb/GaudiPoolDbConf.py